/* REUSABLE CSS CLASSES */
.section {
  padding: 2rem 0 4rem;
}

.section_title {
  font-size: var(--h1-font-size);
}

.section_subtitle {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-3);
}

.section_title,
.section_subtitle {
  text-align: center;
}

/* LAYOUT */
.container {
  max-width: 768px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.header {
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
}

/* BUTTONS */
.button {
  display: inline-block;
  background-color: var(--first-color);
  color: #fff;
  padding: 1rem;
  border-radius: 0.5rem;
  font-weight: var(--font-medium);
}

.button:hover {
  background-color: var(--first-color-alt);
}

.button_icon {
  font-size: 1.25rem;
  margin-left: var(--mb-0-5);
  transition: 0.3s;
}

.button--flex {
  display: inline-flex;
  align-items: center;
  gap: 0.3rem;
}

/* ABOUT */
.about_img {
  width: 200px;
  border-radius: 0.5rem;
  justify-self: center;
  align-self: center;
}

.about_description {
  text-align: center;
  margin-bottom: var(--mb-1-5);
}

.about_info-title {
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--first-color);
}

.about_button {
  display: flex;
  justify-content: center;
}

/* MEDIA QUERIES */

/* For small devices */
@media screen and (max-width: 350px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }

  .nav_menu {
    padding: 2rem 0.25rem 4rem;
  }

  .nav_list {
    column-gap: 0;
  }

  .home_content {
    grid-template-columns: 0.25fr 3fr;
  }

  .home_blob {
    width: 180px;
  }

  .skills_title {
    font-size: var(--normal-font-size);
  }

  .qualification_data {
    gap: 0.5rem;
  }

  .portfolio-img {
    width: 200px;
  }
}

/* For medium devices */
@media screen and (min-width: 568px) {
  .home_content {
    grid-template-columns: max-content 1fr 1fr;
  }

  .home_data {
    grid-column: initial;
  }

  .home_img {
    order: 1;
    justify-self: center;
  }

  .about_container,
  .contact_container,
  .portfolio_content {
    grid-template-columns: repeat(2, 1fr);
  }

  .qualification_sections {
    display: grid;
    grid-template-columns: 0.6fr;
    justify-content: center;
  }
}

@media screen and (min-width: 768px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }

  body {
    margin: 0;
  }

  .section {
    padding: 6rem 0 2rem;
  }

  .section_subtitle {
    margin-bottom: 4rem;
  }

  .header {
    top: 0;
    bottom: initial;
  }

  .header,
  .main {
    padding: 0 1rem;
  }

  .nav {
    height: calc(var(--header-height) + 1.5rem);
    column-gap: 1rem;
  }

  .nav_icon,
  .nav_close,
  .nav_toggle {
    display: none;
  }

  .nav_list {
    display: flex;
    column-gap: 2rem;
  }

  .nav_menu {
    margin-left: auto;
  }

  .change-theme {
    margin: 0;
  }

  .home_container {
    row-gap: 5rem;
  }

  .home_content {
    padding-top: 5.5rem;
    column-gap: 2rem;
  }

  .home_blob {
    width: 270px;
  }

  .home_scroll {
    display: block;
  }

  .home_scroll-button {
    margin-left: 3rem;
  }

  .about_container {
    column-gap: 5rem;
  }

  .about_img {
    width: 350px;
  }

  .about_description {
    text-align: initial;
  }

  .about_button {
    justify-content: initial;
  }

  .skills_container,
  .about_container {
    grid-template-columns: repeat(2, 1fr);
  }

  .qualification_tabs {
    justify-content: center;
  }

  .qualification_button {
    margin: 0 var(--mb-1);
  }

  .qualification_sections {
    grid-template-columns: 0.5fr;
  }

  .portfolio_img {
    width: 320px;
  }

  .portfolio_content {
    align-items: center;
  }
}

/* For large devices */
@media screen and (min-width: 1024px) {
  .header,
  .main {
    padding: 0;
  }

  .home_blob {
    width: 320px;
  }

  .home_social {
    transform: translateX(-6rem);
  }

  .portfolio_content {
    column-gap: 5rem;
  }

  .swiper-portfolio-icon {
    font-size: 3.5rem;
  }

  .swiper-button-prev {
    left: -3.5rem;
  }

  .swiper-button-next {
    right: -3.5rem;
  }

  .swiper-container-horizontal > .swiper-pagination-bullets {
    bottom: -4.5rem;
  }

  .contact_form {
    width: 460px;
  }

  .contact_inputs {
    grid-template-columns: repeat(2, 1fr);
  }
}